petsc-3.4.2 2013-07-02

# TSComputeIJacobianConstant

Reuses a Jacobian that is time-independent.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIJacobianConstant(TS ts,PetscReal t,Vec U,Vec Udot,PetscReal shift,Mat *A,Mat *B,MatStructure *flg,void *ctx)

Collective on TS

### Input Arguments

| ts | - time stepping context
| t | - time at which to evaluate
| U | - state at which to evaluate
| Udot | - time derivative of state vector
| shift | - shift to apply
| ctx | - context

### Output Arguments

| A | - pointer to operator
| B | - pointer to preconditioning matrix
| flg | - matrix structure flag

### Notes

This function is intended to be passed to TSSetIJacobian() to evaluate the Jacobian for linear time-independent problems.

### See Also

TSSetIFunction(), TSSetIJacobian(), TSComputeIFunctionLinear()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages